Bug 981907 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the file /home/devo/.config/banshee-1/log.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e78bd7b2138638981287a2999da...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 17:44 EDT by devosmooth
Modified: 2013-07-13 23:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-63.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-13 23:39:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description devosmooth 2013-07-06 17:44:31 EDT
Description of problem:
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the file /home/devo/.config/banshee-1/log.

*****  Plugin leaks (86.2 confidence) suggests  ******************************

If you want to ignore totem-video-thumbnailer trying to write access the log file, because you believe it should not need this access.
Then you should report this as a bug.  
You can generate a local policy module to dontaudit this access.
Do
# grep /usr/bin/totem-video-thumbnailer /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

*****  Plugin catchall (14.7 confidence) suggests  ***************************

If you believe that totem-video-thumbnailer should be allowed write access on the log file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:config_home_t:s0
Target Objects                /home/devo/.config/banshee-1/log [ file ]
Source                        totem-video-thu
Source Path                   /usr/bin/totem-video-thumbnailer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           totem-3.4.3-1.fc17.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-169.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.13-100.fc17.x86_64 #1 SMP Mon
                              May 13 13:36:17 UTC 2013 x86_64 x86_64
Alert Count                   8
First Seen                    2013-06-12 12:30:54 PDT
Last Seen                     2013-06-12 12:30:56 PDT
Local ID                      bff4d63f-0165-49cd-ae36-f0c72252a8e0

Raw Audit Messages
type=AVC msg=audit(1371065456.280:568): avc:  denied  { write } for  pid=17762 comm="totem-video-thu" path="/home/devo/.config/banshee-1/log" dev="dm-2" ino=6029546 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=file


type=AVC msg=audit(1371065456.280:568): avc:  denied  { write } for  pid=17762 comm="totem-video-thu" path="/home/devo/.config/banshee-1/log" dev="dm-2" ino=6029546 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=file


type=SYSCALL msg=audit(1371065456.280:568): arch=x86_64 syscall=execve success=yes exit=0 a0=7f414c001250 a1=7f414c0019e0 a2=7fff5d3d6370 a3=1c items=0 ppid=17720 pid=17762 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=60 tty=(none) comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: totem-video-thu,thumb_t,config_home_t,file,write

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport

Potential duplicate: bug 882628
Comment 1 Daniel Walsh 2013-07-08 16:51:18 EDT
83bca67ec6d25a6a590101492ebbd1c1ea0bd911 adds a dontaudit for this in git.
Comment 2 Fedora Update System 2013-07-11 04:58:29 EDT
selinux-policy-3.12.1-63.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-63.fc19
Comment 3 Fedora Update System 2013-07-11 22:57:56 EDT
Package selinux-policy-3.12.1-63.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-63.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12762/selinux-policy-3.12.1-63.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-13 23:39:29 EDT
selinux-policy-3.12.1-63.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.